- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_UsbContext Struct Reference
USB MUSB Data Structures

USB context information structure. More...

`#include <csl_usb.h>`

## Data Fields
CSL_UsbOpMode | opMode
| Operating mode of the USB module to access the FIFO data.
WORD | maxCurrent
| Maximum current drawn by the USB device.
Bool | fInitialized
| TRUE, if Initialized.
Bool | fSetupPktCmd
| TRUE, if there is a setup packet.
Bool | fOutPhaseCmd
| TURE, when MUSB receives EP0 data.
Bool | fWaitingOnFlagA
| TRUE, when DATA is ready in BULK IN EP FIFO.
Bool | fWaitingOnFlagB
| TRUE, when DATA is ready in BULK OUT EP FIFO.
Bool | fWaitingOnEP0BUFAvail
| TRUE, if waiting for data in EP0 buffer.
Bool | fWaitingOnEP1InBUFAvail
| TRUE, if waiting for data in EP1 buffer.
WORD * | rgbDescriptors
| Pointer to the Device Descriptor structure.
WORD | cbDescriptors
| No. of bytes in Device Descriptor structure.
DWORD | dwFlagAEndpointAssigned
| Flag A, can be assigned to a NON-Control EP.
DWORD | dwFlagBEndpointAssigned
| FLAG B end point assigned.
DWORD * | pFIFOBaseAddress
| FIFO Base address.
DWORD * | pInterruptAddr
| Interrupt Register Addr.
Bool | fSendHandshake
| TRUE, for handshake pkt.
Bool | fMUSBIsReady
| TRUE, if MUSB is ready.
WORD | cbOutEP0Buf
| No. of bytes in EP0 Buf.
WORD | cbOutEP0DataReceived
| Data Received in EP0 FIFO.
DWORD | dwOutEP0Buf [CSL_USB_MAX_OUTEP0BUF_LEN/4]
| Buffer to hold data for EP0 Out transaction.
Bool | fEP0BUFAvailable
| TRUE, if data available in EP0 Buffer.
Bool | fEP1InBUFAvailable
| TRUE, if data available in EP1 Buffer.
WORD | dwQueuePend1
| Current pending high Bitmap.
Bool | fEP3InBUFAvailable
| TRUE, if data available in EP3 Buffer.
WORD | dwIntSourceL
| Current Intr Low Bitmap.
WORD | dwIntSourceH
| Current Intr High Bitmap.
CSL_UsbBoolean | remoteWkpStat
| USB remote wake up status.
CSL_UsbEpStatus * | pEpStatus
| Pointer to the array of EP Status Structures.
CSL_UsbBusSpeed | busSpeed
| BUS SPEED negotiated.
CSL_UsbEp0State | ep0State
| EP0 State.
CSL_UsbDeviceEvent | cableState
| Cable State.
CSL_UsbSetupStruct | usbSetup
| Structure to hold the setup packet.
CSL_USB_APP_CALLBACK | suspendCallBackFxn
| Application callback for suspend protocol.
CSL_USB_APP_CALLBACK | wakeupCallBackFxn
| Application callback for wakeup protocol.
CSL_USB_APP_TRANSFER_CALLBACK | startTransferCallback
| USB start transfer application call back function.
CSL_USB_APP_TRANSFER_CALLBACK | completeTransferCallback
| USB complete transfer application call back function.
WORD | dwFIFOStartAddr
Uint16 * | deviceDescPtr
| device descriptor pointer
Uint16 * | deviceQualDescPtr
| device qualification descriptor pointer
Uint16 * | cfgDescPtr
| configuration descriptor pointer
Uint16 * | cfgDescFSPtr
| configuration descriptor for FullSpeed pointer
Uint16 * | strDescPtr [4]
| User specific string descriptor pointer.
Uint16 | devAddr
| USB device address.
CSL_UsbEpObj | ctrlInEpObj
| Control In Endpoint Object.
CSL_UsbDevNum | devNum
| Object of Type Device Number.
CSL_UsbEpObj | ctrlOutEpObj
| Control Out Endpoint Object.
Uint16 | suspendFlag
| Flag Used internally by APIs.
pUsbEpHandle | hEpObjArray [CSL_USB_ENDPOINT_COUNT]
| NULL terminated array of Endpoint Objects.
Uint16 | curConfigStat
| Current Device Configuration Status.
Bool | usbSpeedCfg
| USB speed configuration usbSpeedCfg - 1; High speed usbSpeedCfg - 0; Full speed.

## Detailed Description

USB context information structure.

This structure maintains the context of MUSB controller

The documentation for this struct was generated from the following file:

- csl_usb.h